package com.huimv.beeboxs.session;

import java.util.Date;

/**
 * 登录的token信息
 * @author guojian
 */
public class AccessToken {
    private String token;
    private String loginIp;
    private Date created;
    private String accountName;
    private Integer code;
    private Integer id;
    private Integer type;
    private String farmId;
    private String message;

    public AccessToken() {
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getFarmId() {
        return farmId;
    }

    public void setFarmId(String farmId) {
        this.farmId = farmId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public AccessToken(String token, String loginIp, Date created, String accountName, Integer code, Integer id, Integer type, String farmId, String message) {
        this.token = token;
        this.loginIp = loginIp;
        this.created = created;
        this.accountName = accountName;
        this.code = code;
        this.id = id;
        this.type = type;
        this.farmId = farmId;
        this.message = message;
    }
}
